Drupal.behaviors.placemark = {
  attach: function(context) {
    if (YMaps != null) {
      jQuery("#edit-synapse-geoposition").after("<div id='map-placemark' style='height:300px'></div>");
      // Создание экземпляра карты и его привязка к созданному контейнеру
      var placemark_map = new YMaps.Map(YMaps.jQuery("#map-placemark")[0]);

      // Установка для карты ее центра и масштаба
      var coordX = Drupal.settings.synapse.latitude;
      var coordY = Drupal.settings.synapse.longitude;
      var Zoom   = Drupal.settings.synapse.zoom;
      var Name   = Drupal.settings.synapse.name;
      placemark_map.setCenter(new YMaps.GeoPoint(coordX,coordY), Zoom);
      
      // Установка контролов
      placemark_map.addControl(new YMaps.Zoom());
      placemark_map.addControl(new YMaps.TypeControl([
            YMaps.MapType.MAP,
            YMaps.MapType.SATELLITE,
            YMaps.MapType.HYBRID,
            YMaps.MapType.PMAP
        ], [0, 1, 2, 3]));
            
      // Создание метки
      var placemark = new YMaps.Placemark(
        new YMaps.GeoPoint(coordX, coordY), 
              {
                style : {
                         balloonStyle : {template : "plain#balloon"},
                         parentStyle : 'plain#lightbluePoint',
                        },
                draggable: true,
              }
      );
      placemark.name = Name;
      placemark_map.addOverlay(placemark);


      // Обработка событий
      YMaps.Events.observe(placemark, placemark.Events.PositionChange, function (control, point) {
        YMaps.jQuery('#edit-map-latitude').
          attr('value', point.newPoint.getX());
        YMaps.jQuery('#edit-map-longitude').
          attr('value', point.newPoint.getY());
        YMaps.jQuery('#edit-map-zoom').
          attr('value', placemark_map.getZoom());
      });

      YMaps.Events.observe(placemark_map, placemark_map.Events.Click, function (placemark_map, point) {
        placemark.setGeoPoint(point.getGeoPoint());
      });  
  
    }
  }
};