<?php
/**
 * @file
 * Administration forms for the admin module.
 */

/**
 * Menu callback; Displays the administration settings for Synapse.
 */

/** hCard */
function synapse_settings_hcard() {
  $form = array();
  global $base_url;
  $form["synapse_hcard_base"] = array(
    '#type' => 'fieldset',
    '#title' => t('Основные поля'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t('
    С помощью микроформата hCard вы можете рассказать Яндексу,
    ваши адрес, телефон, время работы вашей организации,
    а также в какую рубрику Справочника её стоит отнести.
    Информацию о контактных данных компаний используется не
    только для ответа основного поиска, но и для поиска организаций на Яндекс.Картах.'),
  );
  $form["synapse_hcard_address"] = array(
    '#type' => 'fieldset',
    '#title' => t('Адрес организации'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t(''),
  );
  $form["synapse_hcard_dop"] = array(
    '#type' => 'fieldset',
    '#title' => t('Поддерживаемые элементы'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t('Кроме обязательных свойств "название", "адресс", "ссылка", Яндекс обрабатывает и эти свойства. Рекомендуем по возможности указывать как можно большее количество из этих свойств. Это позволит показывать пользователям Яндекса максимально полную информацию о вашей компании.'),
  );
  // Base
  $form["synapse_hcard_base"]["fn_org"] = array(
    '#title' => t("Название организации"),
    '#type' => 'textfield',
    '#default_value' => variable_get("fn_org"),
    '#required' => TRUE,
    '#group' => 'hcard_base',
  );
  $form["synapse_hcard_base"]["url"] = array(
    '#title' => t("Ссылка на официальный сайт организации"),
    '#type' => 'textfield',
    '#default_value' => (variable_get("url"))?variable_get("url"):$base_url,
    '#required' => TRUE,
    '#description' => t('Адреc с http://'),
    '#group' => 'hcard_base',
  );
  //address
  $form["synapse_hcard_address"]["country-name"] = array(
    '#title' => t("Страна"),
    '#type' => 'textfield',
    '#default_value' => (variable_get("country-name"))?variable_get("country-name"):"Россия",
    '#group' => 'hcard_address',
  );
  $form["synapse_hcard_address"]["region"] = array(
    '#title' => t("Cубъект федерации + район"),
    '#type' => 'textfield',
    '#default_value' => variable_get("region"),
    '#group' => 'hcard_address',
  );
  $form["synapse_hcard_address"]["locality"] = array(
    '#title' => t("Населенный пункт"),
    '#type' => 'textfield',
    '#default_value' => variable_get("locality"),
    '#group' => 'hcard_address',
  );
  $form["synapse_hcard_address"]["street-address"] = array(
    '#title' => t("Адрес: улица, дом, корпус, строение и т. п."),
    '#type' => 'textfield',
    '#default_value' => variable_get("street-address"),
    '#description' => t('адрес с точностью до здания'),
    '#group' => 'hcard_address',
  );
  $form["synapse_hcard_address"]["extended-address"] = array(
    '#title' => t("Адрес: здесь можно указать подъезд, этаж, офис и т. п."),
    '#type' => 'textfield',
    '#default_value' => variable_get("extended-address"),
    '#description' => t('сведения о местонахождении внутри здания, название торгового или бизнес-центра, а также любое описание, не являющееся точным адресом;'),
    '#group' => 'hcard_address',
  );
  $form["synapse_hcard_address"]["postal-code"] = array(
    '#title' => t("Почтовый индекс"),
    '#type' => 'textfield',
    '#default_value' => variable_get("postal-code"),
    '#group' => 'hcard_address',
  );
  // Dop
  $form["synapse_hcard_dop"]["category"] = array(
    '#title' => t("Род деятельности организации"),
    '#type' => 'textfield',
    '#default_value' => variable_get("category"),
    '#description' => t('Наличие этого свойства облегчает отнесение организации к той или одной рубрике <a href="http://maps.yandex.ru/?where">Справочника организаций</a> и тем самым помогает ускорить обработку карточки сервисом.'),
    '#group' => 'hcard_dop',
  );
  $form["synapse_hcard_dop"]["email"] = array(
    '#title' => t("Электронный адрес"),
    '#type' => 'textfield',
    '#default_value' => variable_get("email"),
    '#description' => t(''),
    '#group' => 'hcard_dop',
  );
  $form["synapse_hcard_dop"]["tel"] = array(
    '#title' => t("Номер телефона (с кодом города)"),
    '#type' => 'textfield',
    '#default_value' => variable_get("tel"),
    '#description' => t(''),
    '#group' => 'hcard_dop',
  );

  $form["synapse_hcard_dop"]["workhours"] = array(
    '#title' => t("Время работы организации"),
    '#type' => 'textfield',
    '#default_value' => variable_get("workhours"),
    '#description' => t('Для указания времени работы мы рекомендуем формат, используемый в <a href="http://maps.yandex.ru/?where">Справочника организаций</a>, например:
<ul>
  <li>пн-пт 9:00-18:00</li>
  <li>пн-пт 9:00-18:00, обед 13:00-14:00, сб-вс 10:00-17:00, обед 13:30-14:00</li>
  <li>пн-сб 11:00-20:00, вс 12:00-24:00</li>
  <li>ежедн. 10:00-24:00</li>
  <li>круглосуточно</li>
Допустимо указывать время работы в произвольном формате.'),
    '#group' => 'hcard_dop',
  );
    $form["synapse_hcard_dop"]["workhours_txt"] = array(
    '#title' => t("Текст перед временем работы орагнизации"),
    '#type' => 'textfield',
    '#default_value' => (variable_get("workhours_txt"))?variable_get("workhours_txt"):"Мы работаем: ",
    '#description' => t(''),
    '#group' => 'hcard_dop',
  );

  return system_settings_form($form);
}

/** Webmaster */
function synapse_settings_webmaster() {
  $form = array();
  global $base_url;
  $form['synapse_yandex_webmaster'] = array(
    '#type' => 'fieldset',
    '#title' => t('Yandex Webmaster'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t(''),
  );
  $form['synapse_google_webmaster'] = array(
    '#type' => 'fieldset',
    '#title' => t('Google Webmaster'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t(''),
  );

  // Yandex Webmaster
  $form["synapse_yandex_webmaster"]["yandex_webmaster_verification"] = array(
    '#title' => t("Meta-tag «yandex-verification»"),
    '#type' => 'textfield',
    '#default_value' => variable_get("yandex_webmaster_verification"),
    '#description' => t('
    Что нужо вставить «meta name="yandex-verification" content="<strong>__СЮДА__</strong>" /»)<br />
    You can add site to Yandex webmaster <a href="http://webmaster.yandex.ru/site/add.xml" title="Metrica add">here</a>'),
  );

  // Google Webmaster
  $form["synapse_google_webmaster"]["google_webmaster_verification"] = array(
    '#title' => t("Meta-tag «yandex-verification»"),
    '#type' => 'textfield',
    '#default_value' => variable_get("google_webmaster_verification"),
    '#description' => t('
    Что нужо вставить «meta name="google-site-verification" content="<strong>__СЮДА__</strong>" /»)<br />
    You can add site to Google webmaster <a href="https://www.google.com/webmasters/tools/home?hl=ru" title="Metrica add">here</a>'),
  );

  return system_settings_form($form);
}


/** Other */
function synapse_settings_other() {
  $form = array();
  global $base_url;
  $form['synapse_eqwid'] = array(
    '#type' => 'fieldset',
    '#title' => t('Eqwid'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t(''),
  );
  $form['synapse_vk'] = array(
    '#type' => 'fieldset',
    '#title' => t('Vkontakte'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t(''),
  );
  $form['synapse_copyrights'] = array(
    '#type' => 'fieldset',
    '#title' => t('Footer copyrights'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t(''),
  );

  // Eqwid
  $form["synapse_eqwid"]["eqwid_store_id"] = array(
    '#title' => t("Store ID"),
    '#type' => 'textfield',
    '#default_value' => variable_get("eqwid_store_id"),
    '#description' => t('<a href="http://www.ecwid.ru/" title="Metrica add">ecwid.ru</a>'),
  );

  // Vkontakte
  $form["synapse_vk"]["vk_group_id"] = array(
    '#title' => t("Group ID"),
    '#type' => 'textfield',
    '#default_value' => variable_get("vk_group_id"),
    '#description' => t('<a href="http://vkontakte.ru/developers.php" title="Metrica add">vkontacte.ru/developers</a>'),
  );
  $form["synapse_vk"]["vk_group_width"] = array(
    '#title' => t("Group Width"),
    '#type' => 'textfield',
    '#default_value' => variable_get("vk_group_width"),
  );
  $form["synapse_vk"]["vk_group_height"] = array(
    '#title' => t("Group Height"),
    '#type' => 'textfield',
    '#default_value' => variable_get("vk_group_height"),
  );
  // Copy
  $form["synapse_copyrights"]["copyrights_year_from"] = array(
    '#title' => t("Year From"),
    '#type' => 'textfield',
    '#default_value' => variable_get("copyrights_year_from")?variable_get("copyrights_year_from"):format_date(time(), 'custom', "Y"),
    '#description' => t('Footer information'),
  );
  return system_settings_form($form);
}


/** Ya Map */
function synapse_settings_map() {
  $form = array();
  global $base_url;
  $form['synapse_yandex_map_settigs'] = array(
    '#type' => 'fieldset',
    '#title' => t('Yandex map settings'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t(''),
  );
  $form['synapse_yandex_map_enable'] = array(
    '#type' => 'fieldset',
    '#title' => t('Yandex map Enable'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t(''),
  );
  $form['synapse_geoposition'] = array(
    '#type' => 'fieldset',
    '#title' => t('GeoPosition'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t(''),
  );
  // Yandex Map Settings
  $form["synapse_yandex_map_settigs"]["yandex_map_key"] = array(
    '#title' => t("Yandex key"),
    '#type' => 'textfield',
    '#default_value' => variable_get("yandex_map_key"),
    '#description' => t('You can get yandex map API key <a href="http://api.yandex.ru/maps/form.xml" title="API get key form">here</a>'),
    //'#required' => TRUE,
  );

  $form['synapse_yandex_map_settigs']['yandex_map_options'] = array(
    '#title' => t('Модули'),
    '#type' => 'checkboxes',
    '#options' => array(
        'hotspots' => t('Активные области (hotspots) — позволяется размещать на карте десятки и сотни тысяч объектов без потери производительности.'),
        'metro' => t('Метро (metro) — предоставляет возможность поиска ближайших станций метро.'),
        'plainstyle' => t('PlainStyle (plainstyle) — загружает дополнительный набор стилей для значков, балуна и всплывающей подсказки.'),
        'regions' => t('Регионы (regions) — предоставляет доступ к информации о региональном делении стран.'),
        'traffic' => t('Пробки (traffic) — позволяет добавлять на карту слой пробок и дорожных событий.'),
        'pmap' => t('Народная карта (pmap) — позволяет добавлять на карту слои Народной карты и производить поиск объектов, размещённых на Народной карте.'),
        'router-editor' => t('Редактор маршрута (router-editor) — позволяет размещать на карте визуальный редактор маршрута.')
      ),
    '#default_value' => variable_get("yandex_map_options", array('plainstyle')),
    '#description' => t('<a href="http://api.yandex.ru/maps/jsapi/doc/mod/concepts/About.xml" title="API get key form">Модули</a> представляют из себя обособленные части API, реализующие некоторую функциональность и предоставляющие к этой функциональности интерфейс.'),
  );

  // Yandex Map Enable
  $form["synapse_yandex_map_enable"]["yandex_map_enable"] = array(
    '#title' => t('Включить яндекс карты?'),
    '#type' => 'radios',
    '#options' => array(
        'enable' => t('Включить на всем сайте'),
        'enable_contact' => t('Включить только на странице контактов'),
        'disable' => t('Выключить'),
      ),
    '#default_value' => variable_get("yandex_map_enable")?variable_get("yandex_map_enable"):"disable",
    '#description' => t(''),
    '#required' => TRUE,
  );
  $form["synapse_yandex_map_enable"]["yandex_map_contact_nid"] = array(
    '#title' => t("Contact page Nid"),
    '#type' => 'textfield',
    '#default_value' => variable_get("yandex_map_contact_nid"),
    '#description' => t('Если выбрано "Включить только на странице контактов"'),
  );

  // Org Geoposition
  $form["synapse_geoposition"]["map_latitude"] = array(
    '#title' => t("Широта"),
    '#type' => 'textfield',
    '#default_value' => variable_get("map_latitude"),
    '#description' => t(''),
  );
  $form["synapse_geoposition"]["map_longitude"] = array(
    '#title' => t("Долгота"),
    '#type' => 'textfield',
    '#default_value' => variable_get("map_longitude"),
    '#description' => t(''),
  );
  $form["synapse_geoposition"]["map_zoom"] = array(
    '#title' => t("Zoom"),
    '#type' => 'textfield',
    '#default_value' => variable_get("map_zoom"),
    '#description' => t(''),
  );
  $form["synapse_geoposition"]["map_hcard_enable"] = array(
    '#title' => t('Add geoInformation to hCard'),
    '#type' => 'radios',
    '#options' => array(
        'enable' => t('Вкл'),
        'disable' => t('Выкл'),
      ),
    '#default_value' => variable_get("map_hcard_enable")?variable_get("map_hcard_enable"):"disable",
    '#description' => t(''),
    '#required' => TRUE,
  );
  synapse_init_yandex_map ();
  drupal_add_js(array('synapse' => array(
      'latitude'  => variable_get("map_latitude"),
      'longitude' => variable_get("map_longitude"),
      'zoom'      => variable_get("map_zoom"),
      'name'      => variable_get("fn_org"),
    )), 'setting');
  drupal_add_js(drupal_get_path('module', 'synapse'). '/js/picker.js');

  return system_settings_form($form);
}

/** Metrica*/
function synapse_settings_metrica() {
  $form = array();
  global $base_url;
  $form['synapse_yandex_metrica'] = array(
    '#type' => 'fieldset',
    '#title' => t('Yandex metrica'),
    '#collapsible' => TRUE,
    '#collapsed' => 0,
    '#description' => t(''),
  );

  // Metrica
  $form["synapse_yandex_metrica"]["yandex_metrica_enable"] = array(
    '#title' => t('Включить яндекс метрику?'),
    '#type' => 'radios',
    '#options' => array(
        'metrica_enable' => t('Вкл'),
        'metrica_disable' => t('Выкл'),
      ),
    '#default_value' => variable_get("yandex_metrica_enable", array()),
    '#description' => t(''),
    '#required' => TRUE,
  );
  $form["synapse_yandex_metrica"]["yandex_metrica_id"] = array(
    '#title' => t("Metrica id"),
    '#type' => 'textfield',
    '#default_value' => variable_get("yandex_metrica_id"),
    '#description' => t('You can get yandex metrica id <a href="http://metrika.yandex.ru/add/" title="Metrica add">here</a>'),
    //'#required' => TRUE,
  );
  $form['synapse_yandex_metrica']['yandex_metrica_options'] = array(
    '#title' => t('Модули'),
    '#type' => 'checkboxes',
    '#options' => array(
        'webvisor' => t('Вебвизор — запись и анализ поведения посетителей сайта'), 
        'clickmap' => t('Карта кликов — сбор статистики для работы отчёта «Карта кликов».'), 
        'trackLinks' => t('Внешние ссылки, загрузки файлов и отчёт по кнопке «Поделиться»'), 
        'informer' => t('Информер'), 
      ),
    '#default_value' => variable_get("yandex_metrica_options", array()),
    '#description' => t(''),
  );
  
  return system_settings_form($form);
}

function synapse_settings_form($form_state) {
  $form = array();

  $form["synapse"]["menu_untab"] = array(
    '#title' => t('Show menu in fieldset'),
    '#type' => 'radios',
    '#options' => array(
        'enable' => t('On'),
        'disable' => t('Off'),
      ),
    '#default_value' => variable_get("menu_untab")?variable_get("menu_untab"):"disable",
    '#description' => t('Move menu settings from tabs to fieldset above body input (weight = -4), default enable.'),
  );

  $form["synapse"]["menu_default"] = array(
    '#title' => t('Menu default parent'),
    '#type' => 'textfield',
    '#default_value' => variable_get("menu_default"),
    '#description' => t('Set menu default parent ID. Format: "main-menu:512". Used only for node type "page".'),
  );

  $form["synapse"]["menu_minimize"] = array(
    '#title' => t('Minimize menu imputs'),
    '#type' => 'radios',
    '#options' => array(
        'enable' => t('On'),
        'disable' => t('Off'),
      ),
    '#default_value' => variable_get("menu_minimize")?variable_get("menu_minimize"):"disable",
    '#description' => t('Hide rarely used menu settings'),
  );

  $form["synapse"]["hide_bodyformat"] = array(
    '#title' => t('Hide body formats'),
    '#type' => 'radios',
    '#options' => array(
        'enable' => t('On'),
        'disable' => t('Off'),
      ),
    '#default_value' => variable_get("hide_bodyformat")?variable_get("hide_bodyformat"):"disable",
    '#description' => t(''),
  );

  return system_settings_form($form);
}
